> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Queue Statistics

> Get the statistics for a queue.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| MatchmakingEntityInvalid | 2001 |
| MatchmakingQueueNotFound | 2016 |
| MatchmakingRateLimitExceeded | 2054 |
| MatchmakingUnauthorized | 2056 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /Match/GetQueueStatistics
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /Match/GetQueueStatistics:
    post:
      tags:
        - Matchmaking
      summary: Get Queue Statistics
      description: |
        Get the statistics for a queue.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | MatchmakingEntityInvalid | 2001 |
        | MatchmakingQueueNotFound | 2016 |
        | MatchmakingRateLimitExceeded | 2054 |
        | MatchmakingUnauthorized | 2056 |
      operationId: GetQueueStatistics
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetQueueStatisticsRequest'
        description: >-
          Returns the matchmaking statistics for a queue. These include the
          number of players matching and the statistics related to the time to
          match statistics in seconds (average and percentiles). Statistics are
          refreshed once every 5 minutes. Servers can access all statistics no
          matter what the ClientStatisticsVisibility is configured to. Clients
          can access statistics according to the ClientStatisticsVisibility.
          Client requests are forbidden if all visibility fields are false.
      responses:
        '200':
          $ref: '#/components/responses/GetQueueStatisticsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetQueueStatisticsRequest:
      description: >-
        Returns the matchmaking statistics for a queue. These include the number
        of players matching and the statistics related to the time to match
        statistics in seconds (average and percentiles). Statistics are
        refreshed once every 5 minutes. Servers can access all statistics no
        matter what the ClientStatisticsVisibility is configured to. Clients can
        access statistics according to the ClientStatisticsVisibility. Client
        requests are forbidden if all visibility fields are false.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        QueueName:
          description: The name of the queue.
          type: string
      required:
        - QueueName
      example:
        QueueName: custom123
    GetQueueStatisticsResult:
      type: object
      properties:
        NumberOfPlayersMatching:
          description: >-
            The current number of players in the matchmaking queue, who are
            waiting to be matched.
          type: number
          x-actualtype: uint32
        TimeToMatchStatisticsInSeconds:
          allOf:
            - $ref: '#/components/schemas/Statistics'
          description: >-
            Statistics representing the time (in seconds) it takes for tickets
            to find a match.
      example:
        NumberOfPlayersMatching: 563
        TimeToMatchStatisticsInSeconds:
          Average: 2.2
          Percentile50: 2.1
          Percentile90: 2.21
          Percentile99: 3
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    Statistics:
      type: object
      properties:
        Average:
          description: The average.
          type: number
          x-actualtype: double
        Percentile50:
          description: The 50th percentile.
          type: number
          x-actualtype: double
        Percentile90:
          description: The 90th percentile.
          type: number
          x-actualtype: double
        Percentile99:
          description: The 99th percentile.
          type: number
          x-actualtype: double
      required:
        - Average
        - Percentile50
        - Percentile90
        - Percentile99
  responses:
    GetQueueStatisticsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetQueueStatisticsResult'
            example:
              code: 200
              status: OK
              data:
                NumberOfPlayersMatching: 563
                TimeToMatchStatisticsInSeconds:
                  Average: 2.2
                  Percentile50: 2.1
                  Percentile90: 2.21
                  Percentile99: 3
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Queue Statistics](/services/playfab/api-references/rest/multiplayer/matchmaking/get-queue-statistics.md)
- [Displaying queue statistics in your title](/services/playfab/multiplayer/matchmaking/display-statistics.md)
- [Configuring matchmaking queues](/services/playfab/multiplayer/matchmaking/config-queues.md)
- [PartyNetwork::GetNetworkStatistics](/services/playfab/multiplayer/networking/reference/classes/PartyNetwork/methods/partynetwork_getnetworkstatistics.md)
- [Get Matchmaking Queue](/api-reference/matchmaking-admin/get-matchmaking-queue.md)
